<?php
@include_once('inc/config.php');
@include_once('inc/function.php');

//内部文字エンコード
@mb_internal_encoding('UTF-8');
//HTTP出力文字エンコーディング
@mb_http_output('UTF-8');

if(defined("CONF_READ")){
$sql = array();
/*=========================================*/
/* ERR MSG                                 */
/*=========================================*/
$msg = array(
'mnu01' => 'メニューリスト更新 - 成功',
'mnu02' => 'メニューリスト更新 - 失敗'
);

/*=========================================*/
/* メニューリスト更新                      */
/*=========================================*/
$sql["mnu"] = "UPDATE ".constant("DB_TABLE_SETTING")." SET setting_val = '[アクセス解析]\r\ntop||トップ\r\nsearch||ログ検索\r\nsearchEncoded||エンコード検索\r\n[時間解析]\r\ntime||時間別\r\nday||日別\r\nweek||曜日別\r\nmonth||月別\r\ntransit||月推移\r\n[リンク元解析]\r\npage||ページ\r\npage2||ページ2\r\npage3||タイトル別\r\nref||リンク元\r\neng||検索エンジン\r\nkeyword||検索キーワード\r\n[ユーザー環境解析]\r\nos||OS\r\nbrowser||ブラウザ\r\nlang||言語\r\nuser_env||ユーザー環境\r\narea||地域\r\n[接続元解析]\r\ndomain||ドメイン\r\nisp||ISP\r\nhost||ホスト\r\n[追跡]\r\ntrack||ユーザー追跡\r\ntrackaday||日別ユーザー追跡\r\nbot||クローラ追跡\r\n[その他]\r\nraw_log||生ログ\r\ndownload||ダウンロード\r\np_sel||ページ指定' WHERE setting_id = 'act';";
}

/*=========================================*/
/* SQL送信                                 */
/*=========================================*/
function q($sql_key){
	global $db,$sql,$msg;
	
	$flg = true;
	foreach (explode(";", $sql[$sql_key]) as $v) {
		if(!$flg) break;
		$v = trim($v);
		if(!$v){
			continue;
		}else{
			$v .= ";";
		}
		$v = @mb_convert_encoding($v, "UTF-8", "ASCII,JIS,UTF-8,EUC-JP,SJIS");
		$res = $db->query($v);
		$flg = (DB::isError($res) ? false : true);
	}
	if($flg){
		echo '<p>&gt; '.$msg[$sql_key."01"].'</p>';
	}else{
		echo '<p class="err">&gt; '.$msg[$sql_key."02"].'</p>';
		echo '<p class="def">【エラー内容】</p>';
		echo '<p class="def">Error Message: <b>' . $res->getMessage() . "</b></p>\n";
		echo '<p class="def">Debug: <b>' . $res->getDebugInfo() . "</b></p>\n";
	}
	return $flg;
}

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="robots" content="noindex,nofollow,noarchive">
<style type="text/css">
<!--
BODY {
	letter-spacing: 0.2em;
	font-family: Verdana, Arial, "MS UI Gothic", Osaka, Helvetica, sans-serif;
	background-color: #EEE;
	margin: 30px;
	padding: 0px;
	font-size: 12px;
	background-image: none;
}
A         { color: #36C; }
A:link    { text-decoration: none; }
A:visited { text-decoration: none; }
A:hover   { text-decoration: underline; color: #F30; }
p {
	margin-left: 30px;
	color: #00C;
}
.def{
	color: #333;
}
.err{
	color: #C00;
}
#copy{
	font-size: 10px;
	color: #333333;
	text-align: right;
}
//-->
</style>
<title>mogura - メニュー更新パッチ</title>
</head>
<body>
<h2>mogura - メニュー更新パッチ</h2>
<?php

flush();
if(defined("CONF_READ")){
	$_GET["step"] = isset($_GET["step"]) ? $_GET["step"] : "";
	switch ($_GET["step"]) {
	case 1:
	   echo '<p class="def">メニュー更新パッチを実行します。</p>';
		// DB接続
		$db = DB::connect(constant("DSN"));
		if(DB::isError($db)){
			echo '<p class="err">&gt; データベース［<b>'.(defined("DB_NAME_MOGURA") ? constant("DB_NAME_MOGURA") : constant("DB_NAME")).'</b>］に接続出来ませんでした</p>';
			echo '<p class="err">&gt; config.phpのデータベースの設定を見直してください</p>';
			echo '<p class="err">&gt; データベース［<b>'.(defined("DB_NAME_MOGURA") ? constant("DB_NAME_MOGURA") : constant("DB_NAME")).'</b>］が作成されているか確認して下さい</p>';
			echo '<p class="def">【エラー内容】</p>';
			echo '<p class="def">Error Message: <b>' . $db->getMessage() . "</b></p>\n";
			echo '<p class="def">Debug: <b>' . $db->getDebugInfo() . "</b></p>\n";
		   echo '<p class="def"><a href="mnupatch.php">戻る</a></p>';
		}else{
			$db->query("SET NAMES utf8;");
			$db_flg = true;
			echo '<p>&gt; DB接続</p>';
			if($db_flg) $db_flg = q("mnu");
			
			$db->disconnect();
			echo '<p>&gt; DB切断</p>';
			
			if($db_flg){
				echo '<p class="def"><a href="mnupatch.php?step=2">次へ</a></p>';
			}else{
				echo '<p class="def"><a href="mnupatch.php?step=3">次へ</a></p>';
			}
		}
	   break;
	case 2:
		echo '<p>メニュー更新パッチは正常に実行されました。</p>';
		echo '<p class="def"><b>「mnupatch.php」</b>をサーバーから削除してください。</p>';
		echo '<p class="def">□ <a href="control_panel/cp.php?mode=log_w">ログ取得用コード確認ページを開く</a>（コントロールパネル）</p>';
		echo '<p class="def">□ <a href="w3a.php">Moguraメイン画面を開く</a></p>';
		echo '<p class="def">□ <a href="mnupatch.php">mnupatch.phpトップ</a></p>';
	   break;
	case 3:
		echo '<p class="err">メニュー更新パッチの実行に失敗しました。</p>';
		echo '<p class="def">□ <a href="mnupatch.php">mnupatch.phpトップ</a></p>';
	   break;


	default:
	   echo '<p class="def">実行するとメニューリストが初期化されますので、カスタマイズされている方は注意してください。</p>';
	   echo '<p class="err">メニュー更新パッチを実行しますか？</p>';
	   echo '<p class="def"><a href="mnupatch.php">いいえ</a>｜<a href="mnupatch.php?step=1">はい</a></p>';
	   break;
	}
}else{
	echo '<p class="err">config.phpの読み込みに失敗しました。</p>';
}
?>
<div id="copy"><hr size="1"><a href="https://raihon.com/" target="_blank">raihon</a></div>
</body>
</html>
